import { neutralFillStealthRest } from '@microsoft/fast-components';
/**
 * This is defined as a string rather than a css template
 * because it is applied to a CSSStyleSheet object rather than
 * used as a FAST template
 */
export const globalDraggingStyles = `
  .lm_dragProxy .lm_content {
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.9);
  }
  .lm_dropTargetIndicator {
    box-shadow: inset 0 0 30px #000000;
    outline: 1px dashed #cccccc;
    transition: all 200ms ease;
  }
  .lm_dropTargetIndicator .lm_inner {
    background: var(${neutralFillStealthRest.cssCustomProperty});
    opacity: 0.2;
  }
  .lm_dragProxy.lm_left .lm_header,
  .lm_dragProxy.lm_right .lm_header {
    width: 20px;
    float: left;
    vertical-align: top;
  }
  .lm_dragProxy.lm_left .lm_header .lm_tabs,
  .lm_dragProxy.lm_right .lm_header .lm_tabs {
    transform-origin: left top;
    top: 0;
    width: 1000px;
  }
  .lm_dragProxy.lm_left .lm_header .lm_controls,
  .lm_dragProxy.lm_right .lm_header .lm_controls {
    bottom: 0;
  }
  .lm_dragProxy.lm_left .lm_items,
  .lm_dragProxy.lm_right .lm_items {
    float: left;
  }
  .lm_dragProxy.lm_left .lm_header .lm_tabs {
    transform: rotate(-90deg) scaleX(-1);
    left: 0;
  }
  .lm_dragProxy.lm_left .lm_header .lm_tabs .lm_tab {
    transform: scaleX(-1);
    margin-top: 1px;
  }
  .lm_dragProxy.lm_left .lm_header .lm_tabdropdown_list {
    top: initial;
    right: initial;
    left: 20px;
  }
  .lm_dragProxy.lm_right .lm_content {
    float: left;
  }
  .lm_dragProxy.lm_right .lm_header .lm_tabs {
    transform: rotate(90deg) scaleX(1);
    left: 100%;
    margin-left: 0;
  }
  .lm_dragProxy.lm_right .lm_header .lm_controls {
    left: 3px;
  }
  .lm_dragProxy.lm_right .lm_header .lm_tabdropdown_list {
    top: initial;
    right: 20px;
  }
  .lm_dragProxy.lm_bottom .lm_header .lm_tab {
    margin-top: 0;
    border-top: none;
  }
  .lm_dragProxy.lm_bottom .lm_header .lm_controls,
  .lm_stack.lm_bottom .lm_header .lm_controls {
    top: 3px;
  }
  .lm_dragProxy.lm_bottom .lm_header .lm_tabdropdown_list,
  .lm_stack.lm_bottom .lm_header .lm_tabdropdown_list {
    top: initial;
    bottom: 20px;
  }
  .lm_dragProxy {
    cursor: move;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 30;
  }
  .lm_dragProxy .lm_header {
    background: transparent;
  }
  .lm_dragProxy .lm_title {
    color: white;
    padding-left: 10px;
  }
  .lm_dragProxy .lm_content {
    border-top: none;
    overflow: hidden;
  }
  .lm_dropTargetIndicator {
    display: none;
    position: absolute;
    z-index: 20;
  }
  .lm_dropTargetIndicator .lm_inner {
    width: 100%;
    height: 100%;
    position: relative;
    top: 0;
    left: 0;
  }
  .lm_transition_indicator {
    display: none;
    width: 20px;
    height: 20px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 20;
  }
`;
